
#define FIRMWARE_VERSION "v0.3.0"

//#define DEBUG_NO_I2C
#define DEBUG_NO_SERIAL_MSG

#define WATCHDOG_TIMEOUT_S 5

#define INA226_I2C_ADDRESS 0x41
#define BME280_I2C_ADDRESS 0x76 // oder 0x77, je nach Verbindung des ADDR-Pins
#define OLED_I2C_ADDRESS   0x3C // -> the addresses like 0x78 which is selected on the chip is not correct

#define LOOP_INA226READ_DEMO_DELAY_MS  1000
#define LOOP_DISPLAY_DELAY_MS          5000 // 5 Sekunden
#define LOOP_DISPLAY_DEMO_DELAY_MS     1000
#define LOOP_HANDLE_CLIENT_DELAY_MS     250
#define LOOP_INA226CHECK_DELAY_MS    600000
#define LOOP_WLAN_CHECK_DELAY_MS      60000

#define OLED_SCREEN_WIDTH   128 // OLED display width, in pixels
#define OLED_SCREEN_HEIGHT   64 // OLED display height, in pixels
#define OLED_RESET_PIN       -1 // Reset pin # (or -1 if sharing Arduino reset pin)
#define OLED_TEST_SIZE        2

#define DISPLAY_SWITCH_SHOWN_VALUE_COUNT 2

// default config values
#define DEFAULT_SHUNT_VOLTAGE_DROP     85.0 // mV
#define DEFAULT_SHUNT_CURRENT_MAX     100.0 // A
#define DEFAULT_TEMP_MIN               20.0 // °C environment
#define DEFAULT_TEMP_MAX               30.0 // °C environment
#define DEFAULT_HUMI_MIN               30.0 // % humidity
#define DEFAULT_HUMI_MAX               70.0 // % humidity
#define DEFAULT_CURRENT_MIN          -100.0 // maximum continuous discharge current
#define DEFAULT_CURRENT_MAX           100.0 // maximum continuous discharge current
#define DEFAULT_MAX_CAPACITY        2500.0f
#define DEFAULT_INA226READ_DELAY_S       30 // 30 Sekunden default, overwritten by eeprom config

#define EEPROM_SIZE         100 // in byte
// EEPROM-Adresse, an der die globale Energiemenge gespeichert wird
#define EEPROM_ADDR_ENERGY    0
#define EEPROM_ADDR_CFG_START 8 // sizeof(struct EnergyData { float energy; uint16_t checksum; };

#define FIRMWARE_UPDATE_URL "http://192.168.0.142:8082/firmware.ino.bin"
